<?php
/*
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=DOCUMENTOS';";
echo "</script>";
}
*/
include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
 
 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

 
  <script src="https://code.jquery.com/jquery-3.2.1.js"></script>  
 <script language="javascript">
 $(document).ready(function(){

	$("#departamento").on('change', function () {
        $("#departamento option:selected").each(function () {
            $.post("../parametros/municipio.php", { iddep: document.frmempresa.departamento.value, codmuni: document.frmempresa.municipio.value, proceso:1 }, function(data) {
                $("#municipio").html(data);
            });			
        });
   });

   });

function llammunicipio(dep, mun, pro)
{
		$(document).ready(function () {			
            $.post("../parametros/municipio.php", { iddep: dep, codmuni: mun, proceso:pro }, function(data) {
                $("#municipio").html(data);
        });
		});    
}
</script>
</head>
<body>
<?php

$id="";$tipodocumento="";$consecutivo="";$proveedor="";
$factura="";$fechafactura="";$locacion="";$vencimiento="";
$area="";$estado="";$anticipo="";$departamento="";$municipio="";$observaciones="";
$usurio_doc="";
$rs_tipodocumento=mysqli_query($conexion,"SELECT id,nombre,numero FROM par_tipodocumentos where empresa='".$vg_empresa."' order by nombre asc");
//$rs_departamento=mysqli_query($conexion,"SELECT id,nombre FROM departamento order by nombre asc");
$rs_proveedor=mysqli_query($conexion,"SELECT id,nombre FROM tercero where clasificacion='2' and empresa='".$vg_empresa."' order by nombre asc");
$rs_locacion=mysqli_query($conexion,"SELECT id,nombre FROM par_locacion order by nombre asc");
$rs_area=mysqli_query($conexion,"SELECT id,nombre FROM par_area order by nombre asc");

$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM par_generales where tipo='documento' order by nombre asc");
$rs_municipio=mysqli_query($conexion,"SELECT municipio,departamento FROM par_reteica");

if($_REQUEST["id"]>0)
	 {				
	   $id=$_REQUEST["id"];
		 $contar=0;
		 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento where id='".$id."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 
			$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
												estado, anticipo, municipio, observaciones,vencimiento, usuario, fecsis, horasis
												FROM documento
												where id='".$id."' and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$anticipo=$datos[9]; 	
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$vencimiento=$datos[12]; 							
				   }
				   
				   echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>"; 
			}
			else
			  {
				$mensaje="No existe el codigo";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php
			  }
  }

if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];	
	$tipodocumento=$_REQUEST['tipodocumento'];	
	$consecutivo=$_REQUEST['consecutivo'];	
	$proveedor=$_REQUEST['proveedor'];	
	$usurio_doc=$_REQUEST['usurio_doc'];	
	$factura=$_REQUEST['factura'];	
	$fechafactura=$_REQUEST['fechafactura'];	
	$locacion=$_REQUEST['locacion'];	
	$vencimiento=$_REQUEST['vencimiento'];	
	$area=$_REQUEST['area'];	
	$estado=$_REQUEST['estado'];	
	$municipio=$_REQUEST['municipio'];	
	$observaciones=$_REQUEST['observaciones'];	
	
	$anticipo=str_replace(',','',$_REQUEST['anticipo'.$c]);
	
	if($_REQUEST["oguardar"]==1)
		 {   
			  if($vg_login<>"") 
			  {  
			   //agregamso consecutivo
				   $sql_contarcon=mysqli_query($conexion,"SELECT consecutivo FROM par_tipodocumentos where id='".$tipodocumento."' and empresa='".$vg_empresa."'");
				   while($datoscon= mysqli_fetch_row($sql_contarcon)){ $consecutivo=$datoscon[0]+1;}
					   
				   $contar=0;
				  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento  where consecutivo='".$consecutivo."' and empresa='".$vg_empresa."'");
				  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
				  if($contar>=1) 
				  {
						  $mensaje="Ya existe el consuctivo de documento con la empresa";
						  ?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				  }
				  else
					{ $busqueda=1;
					
					  
					   
					   //fecha vencimiento se calcula depende de lo que tenga configurado el cliente
					   $sql_contarpp=mysqli_query($conexion,"SELECT periodopago FROM tercero where id='".$proveedor."' and empresa='".$vg_empresa."'");
					   while($datospp= mysqli_fetch_row($sql_contarpp)){ $periodopago=$datospp[0];}
					   //caluclamos la fecha vencimiento
						  $mod_date = strtotime($fechafactura."+ $periodopago days");
						  $vencimiento=date("Y-m-d",$mod_date);
		   
					  $sql_insert=mysqli_query($conexion,"insert into documento(empresa,tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, vencimiento, area, 
													estado, anticipo, municipio, observaciones, usuario, fecsis, horasis)
											  values('".$vg_empresa."','".$tipodocumento."','".$consecutivo."','".$proveedor."','".$usurio_doc."','".$factura."',
													 '".$fechafactura."','".$locacion."','".$vencimiento."','".$area."','21','".$anticipo."',
													 '".$municipio."','".$observaciones."','".$vg_login."','".$fecsis."','".$horasis."')"); 
					 if($sql_insert)
					   {
						  $mensaje="Se registro el documento";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
						   //actualizamos el consecutivo consecutivo
						   $sql_updatecon=mysqli_query($conexion,"update par_tipodocumentos set consecutivo='".$consecutivo."'  where id='".$tipodocumento."' and empresa='".$vg_empresa."'");
					   }	
					 else 
					  {
						$mensaje="Error al registrar el documento";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
					  }				
					}
			 }
			 else {
				   $mensaje="Digite la Informacion Requerida";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
			 }				
	
		 }//fin guardar

	if($_REQUEST["omodificar"]==1)
		 {    $contar=0;
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM documento where id='".$id."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
				{ 
				  $sql_update=mysqli_query($conexion,"update documento set
														tipodocumento='".$tipodocumento."',
														consecutivo='".$consecutivo."',
														proveedor='".$proveedor."',
														usurio_doc='".$usurio_doc."',
														factura='".$factura."',
														fechafactura='".$fechafactura."',
														locacion='".$locacion."',
														vencimiento='".$vencimiento."',
														area='".$area."',
														estado='".$estado."',
														anticipo='".$anticipo."',
														municipio='".$municipio."',
														observaciones='".$observaciones."'
													  where id='".$id."'"); 
				 if($sql_update)
				   {
					$mensaje="Se modifico el documento";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				   }	
				 else 
				  {
				   $mensaje="Error al modificar el documento";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
				  }				
				}
			  else
			   {
				$mensaje="No existe el codigo";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
			   }	
		 }//fin guardar

	if($_REQUEST["obuscar"]==1)
		 {   
					$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion, area, 
												estado, anticipo,  municipio, observaciones, vencimiento
												FROM documento
												where id='".$id."' and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$anticipo=number_format($datos[9],2,'.',','); 	
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$vencimiento=$datos[12]; 	
						
					   }
					    
						echo "<script>";
						echo "llammunicipio($departamento, $municipio, 1);";
						echo "</script>"; 
					   
				 }//fin buscar

	if($_REQUEST['onuevo'])
		   { 
	   		$id="";$tipodocumento="";$consecutivo="";$proveedor="";$usuario="";$factura="";$fechafactura="";$locacion="";$vencimiento="";
			$area="";$estado="";$anticipo="";$departamento="";$municipio="";$observaciones="";
		   }

  }


 $usurio_doc=$nombreusuario;
?>
<form name="frmempresa" method="post" action="" >
  <input name="id" type="hidden"  id="id"    value="<?php echo $id; ?>"  />
 <center>
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading"> DOCUMENTOS</div>
       <div align="center">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" >
          
          <tr>
            <td width="12%" height="-10"><span class="texto">Codigo</span></td>
            <td width="38%"><input name="id2" type="text" id="id2"    value="<?php echo $id; ?>" 
            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'" 
             class="form-control"  style="width: 150px" 
             onkeypress="return valida(event);" />
            <td width="11%" align="right">&nbsp;</td>
            <td width="39%">&nbsp;</td>
          </tr>
          
          <tr>
            <td ><span class="texto">Tipo Documento</span></td>
            <td><select name="tipodocumento"  id="tipodocumento"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 50%" >
                         <option value="0"> </option>  
              <?php while ($rowba=mysqli_fetch_array($rs_tipodocumento))
									{
									 if ($tipodocumento==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."-".$rowba['numero']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."-".$rowba['numero']."</option>";}		
									}
							 ?>
            </select></td>
            <td align="right" ><span class="texto">Consecutivo </span></td>
            <td><input name="consecutivo" type="text"  id="consecutivo"    value="<?php echo $consecutivo; ?>"  style="width: 50%" class="form-control" readonly/></td>
          </tr>
          
          <tr>
            <td ><span class="texto">Proveedor </span></td>
            <td ><select name="proveedor"  id="proveedor"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_proveedor))
									{
									 if ($proveedor==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select></td>
            <td align="right" ><span class="texto">Usuario</span></td>
            <td ><input name="usurio_doc" type="text"  id="usurio_doc"    value="<?php echo $usurio_doc; ?>"  style="width: 100%" class="form-control" readonly/></td>
          </tr>
          
          <tr>
            <td align="left"><span class="texto">Factura No.</span></td>
            <td align="left"><input name="factura" type="text"  id="factura"    value="<?php echo $factura; ?>" style="width: 50%" class="form-control"/></td>
            <td  align="right">Fecha Factura</td>
            <td  align="left"><input name="fechafactura" type="date"  id="fechafactura"    value="<?php echo $fechafactura; ?>"  style="width: 50%" class="form-control"/></td>
          </tr>
         
          <tr>
            <td align="left"><span class="texto">Locacion</span> </td>            
            <td align="center"><select name="locacion"  id="locacion"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_locacion))
									{
									 if ($locacion==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select>
            </td>            
            <td align="right">Vencimiento     </td>                 
            <td align="left"><input name="vencimiento" type="date"  id="vencimiento"    value="<?php echo $vencimiento; ?>"  style="width: 50%" class="form-control" readonly/></td>         

          <tr>
            <td align="left"><span class="texto">Area</span>    </td>       
            <td align="center"><select name="area"  id="area"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 100%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_area))
									{
									 if ($area==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select>       
            </td>      
            <td align="right">Estado             </td>         
            <td align="left"><select name="estado"  id="estado"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control" style="width: 50%" >
              <option value="0"> </option>
              <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".$rowba['nombre']."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".$rowba['nombre']."</option>";}		
									}
							 ?>
            </select></td>         
          </tr>
          <tr>
            <td align="left"><span class="texto">Anticipo</span>  </td>         
            <td align="left"><input name="anticipo" type="text" id="anticipo"    value="<?php echo $anticipo; ?>" class="form-control"  style="width: 50%"  
                         onkeypress='mascara(this,cpf)' /></td>          
            <td align="right">Municipio</td>                   
            <td align="center"><select name="municipio"  id="municipio"
                            onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#FFFFDD'"
                            class="form-control"  style="width: 100%" >
              <option value="0" ></option>
              <?php while ($rowba=mysqli_fetch_array($rs_municipio))
									{
									   $sql_mun=mysqli_query($conexion,"SELECT nombre FROM municipio where id='".$rowba['municipio']."'");
									  while($datosm= mysqli_fetch_row($sql_mun)){ $nmuninicipio=$datosm[0];}
									 
									  if ($municipio==$rowba['municipio'])
										{echo "<option value=".$rowba['municipio']." selected>".$nmuninicipio."</option>";}
									  else
										{echo "<option value=".$rowba['municipio'].">".$nmuninicipio."</option>";}		
									}
							 ?>
            </select></td>         
          </tr>
          <tr>
            <td align="left"><span class="texto">Observaciones</span> </td>          
            <td colspan="3" align="center"><input name="observaciones" type="text"  id="observaciones"    value="<?php echo $observaciones; ?>" style="width: 100%" class="form-control"/>    </td>         
          </tr>
          <tr>
            <td  colspan="4" align="center"><input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px" onClick="onuevo.value=1;"/>
              <?php
              if($id=="")
              {
              ?>
              <input name="guardar" type="button"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
              <?php
			  }
              if($id<>"")
              {
              ?>
              <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
              <input name='rep' type='button'  id='rep' value='Items'   class="btn btn-primary" title="Clic para ver Items"
						  onclick="javascript:window.open('documento_item.php?documento=<?php echo $id; ?>&p=2&id=','CargaDoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:100px"  />
              <input name="notificar" type="button" id="notificar" value="Enviar Aprobacion"   class="btn btn-primary" />
              <input name='rep3' type='button'  id='rep3' value='Imprime'   class="btn btn-primary" title="Clic para ver reporte"
						   style="width:100px" onclick="javascript:window.open('documento_imprime.php?documento=<?php echo $id; ?>','CargaDoc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');"  />
              <input name='rep4' type='button'  id='rep4' value='Anexo'   class="btn btn-primary" title="Clic para ver Anexos"
						  style="width:100px"  />
              <?php
			  }
              ?>
              <input name='rep2' type='button'  id='rep2' value='Reporte'   class="btn  btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('documento_reporte.php','docREP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=300');" 
                          style="width:150px"  />
              <input type="hidden" name="oculto" />
              <input name="oguardar" type="hidden" id="oguardar" />
              <input name="omodificar" type="hidden" id="omodificar" />
              <input name="obuscar" type="hidden" id="obuscar" />
              <input name="onuevo" type="hidden" id="onuevo" />
            </tr>
        </table>
   </div>
 </div>
 </center>  


<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempresa.oguardar.value=0;			
			return false;
			}
		else
		  { document.frmempresa.oguardar.value=1; 
			document.frmempresa.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempresa.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempresa.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempresa.omodificar.value=1; 
			document.frmempresa.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempresa.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	
	var mensaje='';
		 if(document.frmempresa.tipodocumento.value>0){}
		 else {mensaje=mensaje + 'Tipo Documento,';    }
		 if(document.frmempresa.proveedor.value>0){}
		 else {mensaje=mensaje + 'Proveedor,';    }
		 if(document.frmempresa.usurio_doc.value!=''){}
		 else {mensaje=mensaje + 'Usuario,';    }
		 if(document.frmempresa.locacion.value>0){}
		 else {mensaje=mensaje + 'Locacion,';    }
		 if(document.frmempresa.area.value>0){}
		 else {mensaje=mensaje + 'Area,';    }
		 if(document.frmempresa.municipio.value>0){}
		 else {mensaje=mensaje + 'Municipio,';    }
		 if(document.frmempresa.fechafactura.value!=''){}
		 else {mensaje=mensaje + 'Fecha Factura,';    }
		 
		 

		if(document.frmempresa.tipodocumento.value>0 && document.frmempresa.proveedor.value>0 && document.frmempresa.usurio_doc.value!='' &&
		document.frmempresa.locacion.value>0 && document.frmempresa.area.value>0 && document.frmempresa.municipio.value>0 && document.frmempresa.fechafactura.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>



<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>    
